#pragma once

#include <array>
#include <cstdint>

namespace zoox {
namespace base {

/// The git commit sha of the repository at compile time.
constexpr std::array<uint8_t, 20> kGitShaArray{{__GIT_SHA_UINT8_LIST__}};

/// True, if there are local changes at compile time.
/// (The codegen value will be `0` if no local changes at compile time, or `1`
/// otherwise)
constexpr bool kGitHasLocalChanges = (__GIT_HAS_LOCAL_CHANGES__ > 0);

} // namespace base
} // namespace zoox
